UbixOS V2 2.0

Public Member Functions | Data Fields | Protected Member Functions | Protected Attributes
TGfx0 Class Reference

`#include <objgfx30.h>`

Inheritance diagram for TGfx0:
Collaboration diagram for TGfx0:

## Public Member Functions
bool | ogAlias (TGfx0 &, uInt32, uInt32, uInt32, uInt32)
void | ogArc (Int32, Int32, uInt32, uInt32, uInt32, uInt32)
void | ogBSpline (uInt32, TPoint *, uInt32, uInt32)
void | ogCircle (Int32, Int32, uInt32, uInt32)
void | ogClear (uInt32)
bool | ogClone (TGfx0 &)
void | ogCopy (TGfx0 &)
void | ogCopyBuf (Int32, Int32, TGfx0 &, Int32, Int32, Int32, Int32)
bool | ogCreate (uInt32, uInt32, TPixelFmt)
void | ogCubicBezierCurve (Int32, Int32, Int32, Int32, Int32, Int32, Int32, Int32, uInt32, uInt32)
void | ogCurve (Int32, Int32, Int32, Int32, Int32, Int32, uInt32, uInt32)
void | ogFillCircle (Int32, Int32, uInt32, uInt32)
void | ogFillConvexPolygon (uInt32, TPoint *, uInt32)
void | ogFillPolygon (uInt32, TPoint *, uInt32)
void | ogFillRect (Int32, Int32, Int32, Int32, uInt32)
void | ogFillTriangle (Int32, Int32, Int32, Int32, Int32, Int32, uInt32)
bool | ogGetAntiAlias (void)
uInt8 | ogGetBPP (void)
ogDataState | ogGetDataState (void)
uInt32 | ogGetMaxX (void)
uInt32 | ogGetMaxY (void)
void | ogGetPal (void)
uInt32 | ogGetPixel (Int32, Int32)
void | ogGetPixFmt (TPixelFmt &)
uInt32 | ogGetTransparentColor (void)
void | ogHFlip (void)
void | ogHLine (Int32, Int32, Int32, uInt32)
void | ogLine (Int32, Int32, Int32, Int32, uInt32)
void | ogLoadPal (const char *)
void | ogPolygon (uInt32, TPoint *, uInt32)
void | ogRect (Int32, Int32, Int32, Int32, uInt32)
uInt32 | ogRGB (uInt8, uInt8, uInt8)
void | ogSavePal (const char *)
void | ogScaleBuf (Int32, Int32, Int32, Int32, TGfx0 &, Int32, Int32, Int32, Int32)
bool | ogSetAntiAlias (bool)
void | ogSetPixel (uInt32, uInt32, uInt32)
void | ogSetRGBPalette (uInt8, uInt8, uInt8, uInt8)
uInt32 | ogSetTransparentColor (uInt32)
void | ogSpline (uInt32, TPoint *, uInt32, uInt32)
void | ogTriangle (Int32, Int32, Int32, Int32, Int32, Int32, uInt32)
void | ogUnpackRGB (uInt32, uInt8 &, uInt8 &, uInt8 &)
void | ogVFlip (void)
void | ogVLine (Int32, Int32, Int32, uInt32)
| TGfx0 (void)
| ~TGfx0 (void)

## Data Fields
void * | Buffer
uInt32 * | LineOfs
TRGB * | pal

## Protected Member Functions
void | aaRawLine (uInt32, uInt32, uInt32, uInt32, uInt32)
bool | clipLine (Int32 &, Int32 &, Int32 &, Int32 &)
void | rawLine (uInt32, uInt32, uInt32, uInt32, uInt32)

## Protected Attributes
bool | AntiAlias
uInt8 | BlueFieldPosition
uInt8 | BlueShifter
uInt8 | BPP
uInt32 | bSize
ogDataState | DataState
uInt8 | GreenFieldPosition
uInt8 | GreenShifter
uInt32 | lSize
uInt32 | MaxX
uInt32 | MaxY
TGfx0 * | Owner
uInt8 | RedFieldPosition
uInt8 | RedShifter
uInt32 | TransparentColor
| uInt8AlphaFieldPosition
| uInt8AlphaShifter
uInt32 | xRes
uInt32 | yRes

## Detailed Description

Definition at line 150 of file objgfx30.h.

## Constructor & Destructor Documentation

## ◆ TGfx0()

TGfx0::TGfx0 | ( | void |  | ) |

## ◆ ~TGfx0()

TGfx0::~TGfx0 | ( | void |  | ) |

## Member Function Documentation

## ◆ aaRawLine()

void TGfx0::aaRawLine | ( | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |  |
| protected

## ◆ clipLine()

bool TGfx0::clipLine | ( | Int32 & | ,
|  | Int32 & | ,
|  | Int32 & | ,
|  | Int32 & |
| ) |  |
| protected

## ◆ ogAlias()

bool TGfx0::ogAlias | ( | TGfx0 & | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |  |

## ◆ ogArc()

void TGfx0::ogArc | ( | Int32 | ,
|  | Int32 | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |  |

## ◆ ogBSpline()

void TGfx0::ogBSpline | ( | uInt32 | ,
|  | TPoint * | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |  |

## ◆ ogCircle()

void TGfx0::ogCircle | ( | Int32 | ,
|  | Int32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |  |

## ◆ ogClear()

void TGfx0::ogClear | ( | uInt32 |  | ) |

## ◆ ogClone()

bool TGfx0::ogClone | ( | TGfx0 & |  | ) |

## ◆ ogCopy()

void TGfx0::ogCopy | ( | TGfx0 & |  | ) |

## ◆ ogCopyBuf()

void TGfx0::ogCopyBuf | ( | Int32 | ,
|  | Int32 | ,
|  | TGfx0 & | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 |
| ) |  |

## ◆ ogCreate()

bool TGfx0::ogCreate | ( | uInt32 | ,
|  | uInt32 | ,
|  | TPixelFmt |
| ) |  |

## ◆ ogCubicBezierCurve()

void TGfx0::ogCubicBezierCurve | ( | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |  |

## ◆ ogCurve()

void TGfx0::ogCurve | ( | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |  |

## ◆ ogFillCircle()

void TGfx0::ogFillCircle | ( | Int32 | ,
|  | Int32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |  |

## ◆ ogFillConvexPolygon()

void TGfx0::ogFillConvexPolygon | ( | uInt32 | ,
|  | TPoint * | ,
|  | uInt32 |
| ) |  |

## ◆ ogFillPolygon()

void TGfx0::ogFillPolygon | ( | uInt32 | ,
|  | TPoint * | ,
|  | uInt32 |
| ) |  |

## ◆ ogFillRect()

void TGfx0::ogFillRect | ( | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | uInt32 |
| ) |  |

## ◆ ogFillTriangle()

void TGfx0::ogFillTriangle | ( | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | uInt32 |
| ) |  |

## ◆ ogGetAntiAlias()

bool TGfx0::ogGetAntiAlias | ( | void |  | ) |

## ◆ ogGetBPP()

uInt8 TGfx0::ogGetBPP | ( | void |  | ) |

## ◆ ogGetDataState()

ogDataState TGfx0::ogGetDataState | ( | void |  | ) |

## ◆ ogGetMaxX()

uInt32 TGfx0::ogGetMaxX | ( | void |  | ) |

## ◆ ogGetMaxY()

uInt32 TGfx0::ogGetMaxY | ( | void |  | ) |

## ◆ ogGetPal()

void TGfx0::ogGetPal | ( | void |  | ) |

## ◆ ogGetPixel()

uInt32 TGfx0::ogGetPixel | ( | Int32 | ,
|  | Int32 |
| ) |  |

## ◆ ogGetPixFmt()

void TGfx0::ogGetPixFmt | ( | TPixelFmt & |  | ) |

## ◆ ogGetTransparentColor()

uInt32 TGfx0::ogGetTransparentColor | ( | void |  | ) |

## ◆ ogHFlip()

void TGfx0::ogHFlip | ( | void |  | ) |

## ◆ ogHLine()

void TGfx0::ogHLine | ( | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | uInt32 |
| ) |  |

## ◆ ogLine()

void TGfx0::ogLine | ( | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | uInt32 |
| ) |  |

## ◆ ogLoadPal()

void TGfx0::ogLoadPal | ( | const char * |  | ) |

## ◆ ogPolygon()

void TGfx0::ogPolygon | ( | uInt32 | ,
|  | TPoint * | ,
|  | uInt32 |
| ) |  |

## ◆ ogRect()

void TGfx0::ogRect | ( | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | uInt32 |
| ) |  |

## ◆ ogRGB()

uInt32 TGfx0::ogRGB | ( | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 |
| ) |  |

## ◆ ogSavePal()

void TGfx0::ogSavePal | ( | const char * |  | ) |

## ◆ ogScaleBuf()

void TGfx0::ogScaleBuf | ( | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | TGfx0 & | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 |
| ) |  |

## ◆ ogSetAntiAlias()

bool TGfx0::ogSetAntiAlias | ( | bool |  | ) |

## ◆ ogSetPixel()

void TGfx0::ogSetPixel | ( | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |  |

## ◆ ogSetRGBPalette()

void TGfx0::ogSetRGBPalette | ( | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 |
| ) |  |

## ◆ ogSetTransparentColor()

uInt32 TGfx0::ogSetTransparentColor | ( | uInt32 |  | ) |

## ◆ ogSpline()

void TGfx0::ogSpline | ( | uInt32 | ,
|  | TPoint * | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |  |

## ◆ ogTriangle()

void TGfx0::ogTriangle | ( | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | uInt32 |
| ) |  |

## ◆ ogUnpackRGB()

void TGfx0::ogUnpackRGB | ( | uInt32 | ,
|  | uInt8 & | ,
|  | uInt8 & | ,
|  | uInt8 & |
| ) |  |

## ◆ ogVFlip()

void TGfx0::ogVFlip | ( | void |  | ) |

## ◆ ogVLine()

void TGfx0::ogVLine | ( | Int32 | ,
|  | Int32 | ,
|  | Int32 | ,
|  | uInt32 |
| ) |  |

## ◆ rawLine()

void TGfx0::rawLine | ( | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |  |
| protected

## Field Documentation

## ◆ AntiAlias

bool TGfx0::AntiAlias
| protected

Definition at line 168 of file objgfx30.h.

## ◆ BlueFieldPosition

uInt8 TGfx0::BlueFieldPosition
| protected

Definition at line 162 of file objgfx30.h.

## ◆ BlueShifter

uInt8 TGfx0::BlueShifter
| protected

Definition at line 166 of file objgfx30.h.

## ◆ BPP

uInt8 TGfx0::BPP
| protected

Definition at line 159 of file objgfx30.h.

## ◆ bSize

uInt32 TGfx0::bSize
| protected

Definition at line 155 of file objgfx30.h.

## ◆ Buffer

void* TGfx0::Buffer

Definition at line 173 of file objgfx30.h.

## ◆ DataState

ogDataState TGfx0::DataState
| protected

Definition at line 158 of file objgfx30.h.

## ◆ GreenFieldPosition

uInt8 TGfx0::GreenFieldPosition
| protected

Definition at line 161 of file objgfx30.h.

## ◆ GreenShifter

uInt8 TGfx0::GreenShifter
| protected

Definition at line 165 of file objgfx30.h.

## ◆ LineOfs

uInt32* TGfx0::LineOfs

Definition at line 174 of file objgfx30.h.

## ◆ lSize

uInt32 TGfx0::lSize
| protected

Definition at line 156 of file objgfx30.h.

## ◆ MaxX

uInt32 TGfx0::MaxX
| protected

Definition at line 154 of file objgfx30.h.

## ◆ MaxY

uInt32 TGfx0::MaxY
| protected

Definition at line 154 of file objgfx30.h.

## ◆ Owner

TGfx0* TGfx0::Owner
| protected

Definition at line 152 of file objgfx30.h.

## ◆ pal

TRGB* TGfx0::pal

Definition at line 175 of file objgfx30.h.

## ◆ RedFieldPosition

uInt8 TGfx0::RedFieldPosition
| protected

Definition at line 160 of file objgfx30.h.

## ◆ RedShifter

uInt8 TGfx0::RedShifter
| protected

Definition at line 164 of file objgfx30.h.

## ◆ TransparentColor

uInt32 TGfx0::TransparentColor
| protected

Definition at line 157 of file objgfx30.h.

## ◆ uInt8AlphaFieldPosition

TGfx0::uInt8AlphaFieldPosition
| protected

Definition at line 163 of file objgfx30.h.

## ◆ uInt8AlphaShifter

TGfx0::uInt8AlphaShifter
| protected

Definition at line 167 of file objgfx30.h.

## ◆ xRes

uInt32 TGfx0::xRes
| protected

Definition at line 153 of file objgfx30.h.

## ◆ yRes

uInt32 TGfx0::yRes
| protected

Definition at line 153 of file objgfx30.h.

The documentation for this class was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/objgfx/objgfx30.h